# A collection of attachments from *Call of Duty: WWII*, which may or may not be chronologically or functionally accurate...

The HUB-23 suppressor is a German suppressor for the Kar98k made during WWII, which is also hilariously featured as the suppressor for all Axis submachine guns and pistols in *Call of Duty: WWII*.
The Lens Sight is a fictional sight also featured in *WWII*, used on all non-bolt-action rifles and submachine guns.
The M1 Bayonet is an American service bayonet used on the M1 Garand, which is used on all Allied battle and assault rifles and is strangely longer than the real M1 Bayonet in *WWII*.
The M7 Rifle Grenade Adapter is an American rifle grenade attachment used on the M1 Garand during WWII, which interestingly does not block the automatic firing action on Allied battle and assault rifles in *WWII* like it ought to.
The M1A2 and Mk2 Grenade projectile is an American rifle grenade projectile made from combining a Mk2 Fragmentation Grenade with a post-war M1A2 tailfin for the M7 rifle grenade adapter, used only on the M7 adapter in *WWII*.

The HUB-23 suppressor, fictional Lens Sight, the M1 Bayonet, the M7 Rifle Grenade Adapter and the M1A2 + Mk2 Grenade projectile from *Call of Duty: WWII* is featured in this pack. All models, sounds and textures are from the game. This mod is used as a universal pack for all universally-used *Call of Duty: WWII* attachments to prevent conflicts with mods that use the same attachments.

Okkim and cityrobo were major helps in getting the rifle grenade to function semi-properly, big props to them!

Note: This mod is *not intended* to allow these attachments on guns that are not created for the *Call of Duty WWII* gun project *by me personally*. This is because when creating the attachment points on my gun, it can result in causing major prefab issues (aka floating attachments) if attached on other guns. However, if you want to include these attachments on your guns, make sure to place it in the correct location on your Unity prefab and set the attachment point there. *Unless it results in a higher quality mod, I will not alter this mod to be compatible with other mods.*

*This mod was featured in Modmas 2022!*

## Features
- The HUB-23 suppressor, M1 Bayonet, M7 Rifle Grenade Adapter, the M1A2 + Mk2 Grenade projectile, and six versions of the Lens Sight are added. The Lens Sight is considered a magnified scope, despite only having a zoom of 1x.
- The Lens Sight variants are the Base, Heroic, Gold, Gold Heroic, Silver and Silver Heroic variants. Heroic variants are the factory new versions.
- The HUB-23 suppressor is used on all Axis SMGs from *WWII*. The Lens Sight is used on all rifles and SMGs from *WWII*. The M7 Rifle Grenade Adapter and M1 Bayonet are used on all Allied rifles from *WWII*. The M1A2 + Mk2 Grenade projectile is only usable on the M7 Grenade Adapter in this pack.

## Planned
- Smaller HUB-23 suppressor for pistols. It uses a different model in *WWII*.
- Small Lens Sights, for the weapons that use them. Again, a different model in *WWII*.
- The other universal attachments in *WWII*, including the Allied suppressor and the German Ceremonial Bayonet. More will be included.
- Better sound events for the M7 Rifle Grenade and M1A2 + Mk2 Grenade projectile. Right now, there is no sound for *unloading* the rifle grenade, as there is no sound event for it at this point in time.
- The ability to spawn the M1A2 cup separate from the Mk 2 Grenade to allow mix and matching with various ordnances that fit on the M1A2. This would ideally allow you to use any grenade or object that can fit in the cup, and fire it as a projectile.

# Changelog

### 1.2.0
- Added M7 Rifle Grenade Adapter, (a very long) M1 Bayonet, and the M1A2 + Mk2 Grenade projectile. The M1A2 + Mk2 Grenade projectile is attached *only* to the M7 Rifle Grenade Adapter. The M7 Rifle Grenade Adapter is *only* attachable to *WWII* Allied rifles, and is muzzle loaded. The M1 Bayonet is *only* attachable to Allied rifles.
- Scope textures changed from Repeating to Clamp to remove duplicate reticle texture issues
- Quickbelt pose for HUB23 Suppressor fixed

### 1.1.1
- HUB-23 Suppressor enum fix

### 1.1.0
- Refractored entire mod into MeatKit

### 1.0.0
- Initial release